﻿declare @@dockcode varchar(10)=@0
SELECT 
	MANIFEST_NO ManifestNo,
	DOCK_CD DockCode,
	ARRIVAL_ACTUAL_DT,isnull(SUPPLIER_CD,'----') SupplierCode

FROM 
	TB_R_DAILY_ORDER_MANIFEST
--WHERE 
	--CONVERT(VARCHAR(8), ARRIVAL_ACTUAL_DT, 112) = CONVERT(VARCHAR(8), GETDATE() - 2, 112) 
	--AND DOCK_CD = @0

	WHERE  CONVERT(VARCHAR(8),ARRIVAL_PLAN_DT , 112) = CONVERT(VARCHAR(8), GETDATE() - 1, 112) 
	and RECEIVE_FLAG IS NULL and TOTAL_QTY>0 AND  DOCK_CD=@@dockcode